<ng-container *transloco="let t; scope: 'admin'; read: 'admin'">
    <div class="user-list">
        <div class="row mb-3">
          <div class="col-md-6">
            <div class="template-demo">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb breadcrumb-custom">
                  <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}" routerLinkActive="router-link-active">Dashboard</a></li>
                  <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}/access-controls/users" routerLinkActive="router-link-active">Role</a></li>
                  <li class="breadcrumb-item active" aria-current="page"><span>Roles Details</span></li>
                </ol>
                
              </nav>
            </div>
          </div>
        </div>
          <div class="row">
            <div class="col-md-6 stretch-card">
              <mat-card class="card custom-card">
                <div class="card-body p-0">
                  <div class="row m-0">
                    <div class="col-md-12 card-title px-3 py-3 m-0">
                        <h4 class="float-start pt-2 px-2">Roles Details</h4>
                        <button mat-mini-fab aria-label="Filter List" (click)="editRoleDetails()"
                            class="float-end btn btn-primary m-0 bg-btn-primary-gradient ">
                            <mat-icon>edit</mat-icon>
                        </button>
                    </div>
                  </div>
      
                  <div class="row m-0 py-3">
                    <div class="col-md-12 py-5 d-flex justify-content-center align-item-center" *ngIf="!loaded">
                        <mat-progress-spinner
                            class="example-margin"
                            color="accent"
                            mode="indeterminate"
                            [diameter]="100">
                        </mat-progress-spinner>
                    </div>
                    <div class="col-12" *ngIf="loaded">
                        <div class="text-center pb-4">
                            <img src="assets/images/faces/face12.jpg" alt="profile" class="img-lg rounded-circle mb-3">
                            <div class="mb-3">
                              <h3>{{roleDetails.name}}</h3>
                            </div>
                          </div>
                    </div>
                  </div>
                </div>
              </mat-card>
            </div>
          </div>
    </div>
  </ng-container>